## alpaka 0.1.1~git20250716.6da6dd61

=== CMakeLists.txt ===
# SPDX-FileCopyrightText: 2023 Loren Burkholder <computersemiexpert@outlook.com>
#
# SPDX-License-Identifier: GPL-2.0-only OR GPL-3.0-only OR LicenseRef-KDE-Accepted-GPL

cmake_minimum_required(VERSION 3.16)
project(alpaka VERSION 0.1.1 LANGUAGES CXX)

set(KF_MIN_VERSION "6.0.0")
set(QT_MIN_VERSION "6.6")

set(CMAKE_CXX_STANDARD 20)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

find_package(ECM ${KF_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include(FeatureSummary)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMQtDeclareLoggingCategory)
include(ECMDeprecationSettings)
include(ECMAddTests)
include(KDEGitCommitHooks)
include(KDEClangFormat)
include(GenerateExportHeader)
include(ECMGenerateHeaders)
include(ECMSetupVersion)
include(ECMAddQch)

option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
add_feature_info(QCH ${BUILD_QCH} "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)")

find_package(Qt6 ${QT_MIN_VERSION} REQUIRED COMPONENTS
    Core
    Quick
    Gui
    QuickControls2
    Network
    Widgets
)

find_package(KF6 ${KF_MIN_VERSION} REQUIRED COMPONENTS
    CoreAddons
    Config
    Kirigami
    I18n
    StatusNotifierItem
    WindowSystem
    XmlGui
    IconThemes
    Crash
)

# Remove it on android etc.
if (NOT ANDROID)
    set(HAVE_WINDOWSYSTEM TRUE)
endif()
if (NOT ANDROID AND NOT WIN32 AND NOT APPLE AND NOT HAIKU)
    set(HAVE_X11 TRUE)
endif()
ecm_set_disabled_deprecation_versions(QT ${QT_MIN_VERSION} KF ${KF_MIN_VERSION})

ecm_setup_version(${PROJECT_VERSION}
        VARIABLE_PREFIX ALPAKA
        VERSION_HEADER ${CMAKE_CURRENT_BINARY_DIR}/alpaka-version.h
)

if(BUILD_TESTING)
    add_definitions(-DBUILD_TESTING)
    find_package(Qt6 ${QT_MIN_VERSION} REQUIRED COMPONENTS Test)
endif()

add_subdirectory(src)

install(PROGRAMS org.kde.alpaka.desktop DESTINATION ${KDE_INSTALL_APPDIR})

ecm_qt_install_logging_categories(EXPORT KLLMCORE FILE kllm.categories DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR})

file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES src/*.cpp src/*.h)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})

kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)
ki18n_install(po)

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== src/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2023 Loren Burkholder <computersemiexpert@outlook.com>
# SPDX-FileCopyrightText: 2023 Klarälvdalens Datakonsult AB, a KDAB Group company <info@kdab.com>
#
# SPDX-License-Identifier: GPL-2.0-only OR GPL-3.0-only OR LicenseRef-KDE-Accepted-GPL

add_subdirectory(core)
add_subdirectory(widgets)
add_subdirectory(apps)

=== src/apps/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2023 Loren Burkholder <computersemiexpert@outlook.com>
# SPDX-FileCopyrightText: 2023 Klarälvdalens Datakonsult AB, a KDAB Group company <info@kdab.com>
#
# SPDX-License-Identifier: GPL-2.0-only OR GPL-3.0-only OR LicenseRef-KDE-Accepted-GPL

add_executable(alpaka)

configure_file(config-alpaka.h.in ${CMAKE_CURRENT_BINARY_DIR}/config-alpaka.h)

target_sources(alpaka PRIVATE
    main.cpp

    ChatModel.cpp
    ChatModel.h

    windowcontroller.cpp
    windowcontroller.h

    controller.h
    controller.cpp

    systemtray.h
    systemtray.cpp
)

qt_add_qml_module(alpaka
    URI org.kde.alpaka
    VERSION 1.0
    QML_FILES
        qml/ChatView.qml
        qml/GeneralSettingsPage.qml
        qml/LLMSettingsPage.qml
        qml/main.qml
        qml/MessageDelegate.qml
        qml/OllamaSettingsPage.qml
        qml/SettingsPage.qml
        qml/TypingIndicator.qml
)

target_link_libraries(alpaka PRIVATE
    Qt6::Widgets
    Qt6::Quick
    Qt6::Qml
    Qt6::Gui
    Qt6::QuickControls2
    KF6::I18n
    KF6::Kirigami
    KF6::IconThemes
    KF6::CoreAddons
    KF6::ConfigCore
    KF6::ConfigGui
    KF6::Crash
    KLLMCore
    KF6::StatusNotifierItem
    KF6::WindowSystem
)

target_include_directories(alpaka PRIVATE ${CMAKE_BINARY_DIR})

install(TARGETS alpaka ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

=== src/core/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2023-2024 Laurent Montel <montel.org>
#
# SPDX-License-Identifier: GPL-2.0-only OR GPL-3.0-only OR LicenseRef-KDE-Accepted-GPL

set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KLLMCore")

ecm_setup_version(PROJECT VARIABLE_PREFIX KLLMCORE
    VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/kllmcore_version.h"
    PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KLLMCoreConfigVersion.cmake"
    SOVERSION 0
)

add_library(KLLMCore)

set_target_properties(KLLMCore PROPERTIES
    VERSION ${KLLMCORE_VERSION}
    SOVERSION ${KLLMCORE_SOVERSION}
    EXPORT_NAME KLLMCore
)

target_sources(KLLMCore PRIVATE
    KLLMContext.cpp
    KLLMContext.h

    KLLMInterface.cpp
    KLLMInterface.h

    KLLMReply.cpp
    KLLMReply.h

    KLLMRequest.cpp
    KLLMRequest.h

    KLLMConstants.cpp
    KLLMConstants.h
)

kconfig_add_kcfg_files(KLLMCore GENERATE_MOC kllmcoresettings.kcfgc)

ecm_qt_declare_logging_category(KLLMCore HEADER kllmcore_debug.h IDENTIFIER KLLMCORE_LOG CATEGORY_NAME org.kde.kllm.core
        DESCRIPTION "kllmcore" EXPORT KLLMCORE)

generate_export_header(KLLMCore
    BASE_NAME kllmcore
)

target_link_libraries(KLLMCore
    Qt::Network
    KF6::I18n
    KF6::ConfigGui
    KF6::CoreAddons
)

set_target_properties(KLLMCore
    PROPERTIES OUTPUT_NAME kllmcore VERSION ${KLLMCORE_VERSION} SOVERSION ${KLLMCORE_SOVERSION}
)

install(TARGETS KLLMCore EXPORT KLLMCoreTargets ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

ecm_generate_headers(kllmcore_Camelcase_HEADERS
    ORIGINAL CAMELCASE
    HEADER_NAMES
    KLLMInterface
    KLLMReply
    KLLMConstants

    REQUIRED_HEADERS kllmcore_HEADERS
    PREFIX KLLMCore
)

install(FILES
    ${kllmcore_Camelcase_HEADERS}
    DESTINATION ${KDE_INSTALL_INCLUDEDIR}/KLLMCore
    COMPONENT Devel
)

install(FILES
    ${kllmcore_HEADERS}
    ${CMAKE_CURRENT_BINARY_DIR}/kllmcore_export.h
    ${CMAKE_CURRENT_BINARY_DIR}/kllmcoresettings.h
    DESTINATION ${KDE_INSTALL_INCLUDEDIR}/KLLMCore/kllmcore
    COMPONENT Devel
)

if (BUILD_QCH)
    ecm_add_qch(
        kllmcore_QCH
        NAME KLLM
        BASE_NAME KLLMCore
        VERSION ${KLLMCORE_VERSION}
        ORG_DOMAIN org.kde
        SOURCES # using only public headers, to cover only public API
        ${kllmcore_Camelcase_HEADERS}
        MD_MAINPAGE "${CMAKE_SOURCE_DIR}/README.md"
        IMAGE_DIRS "${CMAKE_SOURCE_DIR}/docs/pics"
        LINK_QCHS
        Qt6Core_QCH
        INCLUDE_DIRS
        ${CMAKE_CURRENT_BINARY_DIR}
        BLANK_MACROS
        KLLMCORE_EXPORT
        KLLMCORE_DEPRECATED_EXPORT
        KLLMCORE_DEPRECATED
        "KLLMCORE_DEPRECATED_VERSION(x, y, t)"
        "KLLMCORE_DEPRECATED_VERSION_BELATED(x, y, tx, ty, t)"
        "KLLMCORE_ENUMERATOR_DEPRECATED_VERSION(x, y, t)"
        "KLLMCORE_ENUMERATOR_DEPRECATED_VERSION_BELATED(x, y, tx, ty, t)"
        TAGFILE_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        QCH_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        COMPONENT Devel
    )
    ecm_install_qch_export(
        TARGETS kllmcore_QCH
        FILE KLLMCoreQchTargets.cmake
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel
    )
    set(PACKAGE_INCLUDE_QCHTARGETS "include(\"\${CMAKE_CURRENT_LIST_DIR}/KLLMCoreQchTargets.cmake\")")

endif()


configure_package_config_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/KLLMCoreConfig.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/KLLMCoreConfig.cmake"
    INSTALL_DESTINATION ${CMAKECONFIG_INSTALL_DIR}
)

install(FILES
    "${CMAKE_CURRENT_BINARY_DIR}/KLLMCoreConfig.cmake"
    "${CMAKE_CURRENT_BINARY_DIR}/KLLMCoreConfigVersion.cmake"
    DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
    COMPONENT Devel
)

install(EXPORT KLLMCoreTargets
    DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
    FILE KLLMCoreTargets.cmake
    )

if(BUILD_TESTING)
   add_subdirectory(tests)
   add_subdirectory(autotests)
endif()

=== src/widgets/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2023 Laurent Montel <montel@kde.org
#
# SPDX-License-Identifier: GPL-2.0-only OR GPL-3.0-only OR LicenseRef-KDE-Accepted-GPL

set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KLLMWidgets")

ecm_setup_version(PROJECT VARIABLE_PREFIX KLLMWIDGETS
    VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/kllmwidgets_version.h"
    PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KLLMWidgetsConfigVersion.cmake"
    SOVERSION 0
)

add_library(KLLMWidgets)

set_target_properties(KLLMWidgets PROPERTIES
    VERSION ${KLLMWIDGETS_VERSION}
    SOVERSION ${KLLMWIDGETS_SOVERSION}
    EXPORT_NAME KLLMWidgets
)

target_sources(KLLMWidgets PRIVATE
    KLLMModelComboBox.h
    KLLMModelComboBox.cpp

    KLLMActionMenu.h
    KLLMActionMenu.cpp

    KLLMConfigureWidget.h
    KLLMConfigureWidget.cpp

    KLLMConfigureDialog.h
    KLLMConfigureDialog.cpp


    KLLMResultWidget.h
    KLLMResultWidget.cpp
)

ecm_qt_declare_logging_category(KLLMWidgets HEADER kllmwidgets_debug.h IDENTIFIER KLLMWIDGETS_LOG CATEGORY_NAME org.kde.kllm.core
        DESCRIPTION "kllmwidgets" EXPORT KLLMWIDGETS)

generate_export_header(KLLMWidgets
    BASE_NAME kllmwidgets
)

target_link_libraries(KLLMWidgets
    KLLMCore
    Qt::Widgets
    KF6::XmlGui
)

set_target_properties(KLLMWidgets
    PROPERTIES OUTPUT_NAME kllmwidgets VERSION ${KLLMWIDGETS_VERSION} SOVERSION ${KLLMWIDGETS_SOVERSION}
)

install(TARGETS KLLMWidgets EXPORT KLLMWidgetsTargets ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

ecm_generate_headers(kllmwidgets_Camelcase_HEADERS
    ORIGINAL CAMELCASE
    HEADER_NAMES
    KLLMModelComboBox
    KLLMActionMenu
    KLLMConfigureWidget
    KLLMConfigureDialog
    KLLMResultWidget

    REQUIRED_HEADERS kllmwidgets_HEADERS
    PREFIX KLLMWidgets
)

install(FILES
    ${kllmwidgets_Camelcase_HEADERS}
    DESTINATION ${KDE_INSTALL_INCLUDEDIR}/KLLMWidgets
    COMPONENT Devel
)

install(FILES
    ${kllmwidgets_HEADERS}
    ${CMAKE_CURRENT_BINARY_DIR}/kllmwidgets_export.h
    DESTINATION ${KDE_INSTALL_INCLUDEDIR}/KLLMWidgets/kllmwidgets
    COMPONENT Devel
)

if (BUILD_QCH)
    ecm_add_qch(
        kllmwidgets_QCH
        NAME KLLM
        BASE_NAME KLLMWidgets
        VERSION ${KLLMWIDGETS_VERSION}
        ORG_DOMAIN org.kde
        SOURCES # using only public headers, to cover only public API
        ${kllmwidgets_Camelcase_HEADERS}
        MD_MAINPAGE "${CMAKE_SOURCE_DIR}/README.md"
        IMAGE_DIRS "${CMAKE_SOURCE_DIR}/docs/pics"
        LINK_QCHS
        Qt6Core_QCH
        Qt6Widgets_QCH
        INCLUDE_DIRS
        ${CMAKE_CURRENT_BINARY_DIR}
        BLANK_MACROS
        KLLMWIDGETS_EXPORT
        KLLMWIDGETS_DEPRECATED_EXPORT
        KLLMWIDGETS_DEPRECATED
        "KLLMWIDGETS_DEPRECATED_VERSION(x, y, t)"
        "KLLMWIDGETS_DEPRECATED_VERSION_BELATED(x, y, tx, ty, t)"
        "KLLMWIDGETS_ENUMERATOR_DEPRECATED_VERSION(x, y, t)"
        "KLLMWIDGETS_ENUMERATOR_DEPRECATED_VERSION_BELATED(x, y, tx, ty, t)"
        TAGFILE_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        QCH_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        COMPONENT Devel
    )
    ecm_install_qch_export(
        TARGETS kllmwidgets_QCH
        FILE KLLMWidgetsQchTargets.cmake
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel
    )
    set(PACKAGE_INCLUDE_QCHTARGETS "include(\"\${CMAKE_CURRENT_LIST_DIR}/KLLMWidgetsQchTargets.cmake\")")

endif()


configure_package_config_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/KLLMWidgetsConfig.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/KLLMWidgetsConfig.cmake"
    INSTALL_DESTINATION ${CMAKECONFIG_INSTALL_DIR}
)

install(FILES
    "${CMAKE_CURRENT_BINARY_DIR}/KLLMWidgetsConfig.cmake"
    "${CMAKE_CURRENT_BINARY_DIR}/KLLMWidgetsConfigVersion.cmake"
    DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
    COMPONENT Devel
)

install(EXPORT KLLMWidgetsTargets
    DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
    FILE KLLMWidgetsTargets.cmake
    )

if(BUILD_TESTING)
   add_subdirectory(tests)
   add_subdirectory(autotests)
endif()

=== src/core/autotests/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2023 Laurent Montel <montel@kde.org
#
# SPDX-License-Identifier: GPL-2.0-only OR GPL-3.0-only OR LicenseRef-KDE-Accepted-GPL

macro(add_kllmcore_test _source)
    set(_test ${_source})
    get_filename_component(_name ${_source} NAME_WE )
    add_executable( ${_name} ${_test} ${ARGN} ${_name}.h)
    add_test(NAME ${_name} COMMAND ${_name} )
    ecm_mark_as_test(${_name})
    target_link_libraries( ${_name} Qt::Test KLLMCore)

endmacro()
add_kllmcore_test(kllmconstantstest.cpp)

=== src/widgets/autotests/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2023 Laurent Montel <montel@kde.org
#
# SPDX-License-Identifier: GPL-2.0-only OR GPL-3.0-only OR LicenseRef-KDE-Accepted-GPL

macro(add_kllmwidgets_test _source)
    set(_test ${_source})
    get_filename_component(_name ${_source} NAME_WE )
    add_executable( ${_name} ${_test} ${ARGN} ${_name}.h)
    add_test(NAME ${_name} COMMAND ${_name} )
    ecm_mark_as_test(${_name})
    target_link_libraries( ${_name} Qt::Test KLLMWidgets)

endmacro()
add_kllmwidgets_test(kllmmodelcomboboxtest.cpp)
add_kllmwidgets_test(kllmresultwidgettest.cpp)
add_kllmwidgets_test(kllmconfiguredialogtest.cpp)

=== debian/changelog ===
alpaka (0.1.1~git20250716.6da6dd61-1) experimental; urgency=medium

  * Initial upload. (Closes: #1110297)

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 02 Aug 2025 18:45:39 +0200

=== debian/control ===
Source: alpaka
Section: contrib/kde
Priority: optional
Maintainer: Debian KDE Extras Team <pkg-kde-extras@alioth-lists.debian.net>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
Homepage: https://apps.kde.org/alpaka/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/alpaka
Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/alpaka.git
Rules-Requires-Root: no
Standards-Version: 4.7.2
Build-Depends: debhelper-compat (= 13),
               dh-sequence-qmldeps,
               cmake (>= 3.16~),
               extra-cmake-modules (>= 6.0.0~),
               gettext,
               libkf6config-dev (>= 6.0.0~),
               libkf6coreaddons-dev (>= 6.0.0~),
               libkf6crash-dev (>= 6.0.0~),
               libkf6i18n-dev (>= 6.0.0~),
               libkf6iconthemes-dev (>= 6.0.0~),
               libkf6statusnotifieritem-dev (>= 6.0.0~),
               libkf6windowsystem-dev (>= 6.0.0~),
               libkf6xmlgui-dev (>= 6.0.0~),
               libkirigami-dev (>= 6.0.0~),
               pkgconf,
               qml6-module-org-kde-kirigamiaddons-components,
               qml6-module-org-kde-kirigamiaddons-formcard,
               qml6-module-org-kde-kirigamiaddons-settings,
               qt6-base-dev (>= 6.6~),
               qt6-declarative-dev (>= 6.6~),
               xauth <!nocheck>,
               xvfb <!nocheck>,

Package: alpaka
Section: contrib/kde
Architecture: any
Depends: ${misc:Depends},
         ${qml6:Depends},
         ${shlibs:Depends},
Description: Kirigami client for Ollama
 Alpaka is a client for Ollama built with Kirigami.

Package: kllmcore6-data
Section: contrib/libs
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: KDE library for interfacing with LLMs - data files
 KDE library for interfacing with LLMs and more precisely with Ollama.
 .
 This package contains the architecture-independent data files.

Package: libkllm-dev
Section: contrib/libdevel
Architecture: any
Multi-Arch: same
Depends: libkllmcore0 (= ${binary:Version}),
         libkllmwidgets0 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: KDE library for interfacing with LLMs - development files
 KDE library for interfacing with LLMs and more precisely with Ollama.
 .
 This package contains the development files.

Package: libkllmcore0
Section: contrib/libs
Architecture: any
Multi-Arch: same
Depends: kllmcore6-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: KDE library for interfacing with LLMs
 KDE library for interfacing with LLMs and more precisely with Ollama.

Package: libkllmwidgets0
Section: contrib/libs
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: KDE library for interfacing with LLMs - widgets
 KDE library for interfacing with LLMs and more precisely with Ollama.
 .
 This package contains the reusable widgets.

## alpaka 0.1.1~git20251104.0a908564

=== CMakeLists.txt ===
--- 
+++ 
@@ -27,6 +27,9 @@
 include(ECMGenerateHeaders)
 include(ECMSetupVersion)
 include(ECMAddQch)
+include(ECMAddAppIcon)
+include(ECMInstallIcons)
+include(ECMQmlModule)
 
 option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
 add_feature_info(QCH ${BUILD_QCH} "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)")
@@ -71,6 +74,28 @@
     find_package(Qt6 ${QT_MIN_VERSION} REQUIRED COMPONENTS Test)
 endif()
 
+# icons
+set(alpaka_ICONS
+    icons/22-apps-alpaka.png
+    icons/24-apps-alpaka.png
+    icons/32-apps-alpaka.png
+    icons/48-apps-alpaka.png
+    icons/64-apps-alpaka.png
+    icons/128-apps-alpaka.png
+    icons/256-apps-alpaka.png
+    icons/512-apps-alpaka.png
+    icons/sc-apps-alpaka.svg
+)
+
+ecm_add_app_icon(alpaka ICONS ${alpaka_ICONS})
+
+ecm_install_icons(
+    ICONS ${alpaka_ICONS}
+    DESTINATION ${KDE_INSTALL_ICONDIR}
+    THEME hicolor
+)
+
+
 add_subdirectory(src)
 
 install(PROGRAMS org.kde.alpaka.desktop DESTINATION ${KDE_INSTALL_APPDIR})

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -4,5 +4,4 @@
 # SPDX-License-Identifier: GPL-2.0-only OR GPL-3.0-only OR LicenseRef-KDE-Accepted-GPL
 
 add_subdirectory(core)
-add_subdirectory(widgets)
 add_subdirectory(apps)

=== src/apps/CMakeLists.txt ===
--- 
+++ 
@@ -4,6 +4,10 @@
 # SPDX-License-Identifier: GPL-2.0-only OR GPL-3.0-only OR LicenseRef-KDE-Accepted-GPL
 
 add_executable(alpaka)
+ecm_add_qml_module(alpaka
+    URI org.kde.alpaka
+    VERSION 1.0
+)
 
 configure_file(config-alpaka.h.in ${CMAKE_CURRENT_BINARY_DIR}/config-alpaka.h)
 
@@ -23,22 +27,19 @@
     systemtray.cpp
 )
 
-qt_add_qml_module(alpaka
-    URI org.kde.alpaka
-    VERSION 1.0
-    QML_FILES
+ecm_target_qml_sources(alpaka
+    SOURCES
         qml/ChatView.qml
+        qml/ConfigurationView.qml
         qml/GeneralSettingsPage.qml
         qml/LLMSettingsPage.qml
-        qml/main.qml
+        qml/Main.qml
         qml/MessageDelegate.qml
         qml/OllamaSettingsPage.qml
-        qml/SettingsPage.qml
         qml/TypingIndicator.qml
 )
 
 target_link_libraries(alpaka PRIVATE
-    Qt6::Widgets
     Qt6::Quick
     Qt6::Qml
     Qt6::Gui

=== src/core/tests/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2023 Laurent Montel <montel@kde.org
#
# SPDX-License-Identifier: GPL-2.0-only OR GPL-3.0-only OR LicenseRef-KDE-Accepted-GPL

=== debian/changelog ===
alpaka (0.1.1~git20251104.0a908564-1) experimental; urgency=medium

  * New upstream git snapshot (0.1.1~git20251104.0a908564-1).
  * Drop libkllmwidgets, removed upstream.
  * Update the list of installed files.
  * Refresh copyright information.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 04 Nov 2025 22:00:57 +0100

=== debian/control ===
--- 
+++ 
@@ -55,7 +55,6 @@
 Architecture: any
 Multi-Arch: same
 Depends: libkllmcore0 (= ${binary:Version}),
-         libkllmwidgets0 (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends},
 Description: KDE library for interfacing with LLMs - development files
@@ -72,14 +71,3 @@
          ${shlibs:Depends},
 Description: KDE library for interfacing with LLMs
  KDE library for interfacing with LLMs and more precisely with Ollama.
-
-Package: libkllmwidgets0
-Section: contrib/libs
-Architecture: any
-Multi-Arch: same
-Depends: ${misc:Depends},
-         ${shlibs:Depends},
-Description: KDE library for interfacing with LLMs - widgets
- KDE library for interfacing with LLMs and more precisely with Ollama.
- .
- This package contains the reusable widgets.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_test:
	xvfb-run -a -- dh_auto_test -Skf6

## alpaka 0.1.1+p24.04+vunstable+git20251209.2211

=== debian/changelog ===
alpaka (0.1.1+p24.04+vunstable+git20251209.2211-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 09 Dec 2025 22:11:07 +0000

alpaka (0.1.1-0neon) noble; urgency=medium

  * initial release

 -- Neon CI <neon@kde.org>  Fri, 10 Oct 2025 06:45:52 +0000

=== debian/control ===
Source: alpaka
Section: kde
Priority: optional
Build-Depends: cmake,
               debhelper-compat (= 13),
               extra-cmake-modules,
               kf6-kconfig-dev,
               kf6-kcoreaddons-dev,
               kf6-kcrash-dev,
               kf6-kdoctools-dev,
               kf6-ki18n-dev,
               kf6-kiconthemes-dev,
               kf6-kirigami-dev,
               kf6-kstatusnotifieritem-dev,
               kf6-kwindowsystem-dev,
               kf6-kxmlgui-dev,
               pkg-kde-tools-neon,
               qt6-base-dev,
               qt6-declarative-dev,
               reuse,
               spdx-licenses
Standards-Version: 4.6.2
Homepage: http://www.kde.org/
Vcs-Git: https://invent.kde.org/neon/neon-packaging/alpaka.git
Vcs-Browser: https://invent.kde.org/neon/neon-packaging/alpaka
Maintainer: Neon CI <neon@kde.org>

Package: alpaka
Architecture: any
Section: devel
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Client for Ollama built with Kirigami
 To run Alpaka, you will need to install Ollama and have it serving on
 http://localhost:11434. You will also need to install a model for ollama to
 use; you can do so by running ollama pull llama2. After that, you can build
 and run Alpaka and it will interface with the Ollama API.

=== debian/rules ===
#!/usr/bin/make -f
# SPDX-License-Identifier: LGPL-2.0-or-later
# SPDX-FileCopyrightText: 2023 Jonathan Riddell <jr@jriddell.org>

%:
	dh $@ --with kf6 --buildsystem kf6

override_dh_auto_configure:
	dh_auto_configure -- /
	-DCOMPILE_WITH_UNITY_CMAKE_SUPPORT=ON
	-DBUILD_QCH=ON

override_dh_auto_test:

## alpaka 0.1.1+p24.04+vunstable+git20251209.2224

=== debian/changelog ===
alpaka (0.1.1+p24.04+vunstable+git20251209.2224-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 09 Dec 2025 22:24:02 +0000

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,9 @@
 Priority: optional
 Build-Depends: cmake,
                debhelper-compat (= 13),
-               extra-cmake-modules,
+               doxygen,
+               graphviz,
+               kf6-extra-cmake-modules,
                kf6-kconfig-dev,
                kf6-kcoreaddons-dev,
                kf6-kcrash-dev,
@@ -17,6 +19,7 @@
                pkg-kde-tools-neon,
                qt6-base-dev,
                qt6-declarative-dev,
+               qt6-tools-dev,
                reuse,
                spdx-licenses
 Standards-Version: 4.6.2

=== debian/rules ===
--- 
+++ 
@@ -6,8 +6,8 @@
 	dh $@ --with kf6 --buildsystem kf6
 
 override_dh_auto_configure:
-	dh_auto_configure -- /
-	-DCOMPILE_WITH_UNITY_CMAKE_SUPPORT=ON
+	dh_auto_configure -- \
+	-DCOMPILE_WITH_UNITY_CMAKE_SUPPORT=ON \
 	-DBUILD_QCH=ON
 
 override_dh_auto_test:

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.sig/ http://download.kde.org/stable/alpaka/@PACKAGE@-([\d.]+).tar.xz
